Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Recherche Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

Apache Solr < 4.6.0 Directory Traversal

Medium

Synopsis

The remote web server contains a Java application that is affected by a directory traversal attack vector.

Description

Versions of Apache Solr prior to 4.6.0 are affected by a flaw in the 'SolrResourceLoader' class that leads to unauthorized privileges being gained. The issue is due to the program failing to restrict the loading of specially crafted XLS stylesheets or Velocity templates via the absolute path or a traversal attack. This may allow a remote attacker to gain elevated privileges.

Solution

Upgrade to Solr 4.6.0 or later.